conventional_commit 0.3.0
conventional_commit: ^0.3.0 copied to clipboard

Dart native js
Flutter Android iOS Linux macOS web Windows

Parse a git commit message using the Conventional Commits specification.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  conventional_commit: ^0.3.0

2. Install it

You can install packages from the command line:

with pub:

$ dart pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:conventional_commit/conventional_commit.dart';
2
likes
110
pub points
64%
popularity

Publisher

invertase.io

Parse a git commit message using the Conventional Commits specification.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache 2.0 (LICENSE)

More

Packages that depend on conventional_commit